---
search:
  tags:
    - livesync
    - GET
seo:
  description: >-
    Check a managed source's wal_level. Reference for the GET
    /api/v1/livesync/source-preflight endpoint in the TimescaleDB Enterprise
    API.
  noindex: true
sidebar:
  label: Check a source's wal_level
  badge: GET
title: Check a source's wal_level
type: openapi-operation
---
Check a managed source's wal_level.

`GET /api/v1/livesync/source-preflight`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "pg_major": 0,
  "version_error": "string",
  "wal_level": "string",
  "wal_level_ok": true
}
```
